# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface ValidatingExtension

All Superinterfaces:
  Extension

    public interface ValidatingExtension

extends Extension

Extends the base `Extension` interface to enable validation of extension contents.

Method Summary
`void` `validate(ExtensionPoint parent)` Enables an extension to perform final validation after all extension elements of the parent ExtensionPoint have been processed.

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Method Detail

### validate

    void validate(ExtensionPoint parent)
                  throws ParseException

  Enables an extension to perform final validation after all extension elements of the parent ExtensionPoint have been processed.

  Parameters:
    `parent` - parent ExtensionPoint
  Throws:
    `ParseException`